> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# List Secret Proxy Host Presets



## OpenAPI

````yaml https://api.notte.cc/openapi.json get /secret-proxy/host-presets
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.10.8
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: audit
    description: Audit trail of account and workspace changes.
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /secret-proxy/host-presets:
    get:
      tags:
        - secret-proxy
      summary: List Secret Proxy Host Presets
      operationId: list_secret_proxy_host_presets
      parameters:
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecretProxyHostPresetsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples:
        - lang: Curl
          source: |-
            curl -X GET "https://api.notte.cc/secret-proxy/host-presets" \
            -H "Authorization: Bearer $NOTTE_API_KEY"
          label: curl
components:
  schemas:
    SecretProxyHostPresetsResponse:
      properties:
        presets:
          items:
            $ref: '#/components/schemas/SecretProxyHostPresetResponse'
          type: array
          title: Presets
      type: object
      required:
        - presets
      title: SecretProxyHostPresetsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SecretProxyHostPresetResponse:
      properties:
        name:
          type: string
          title: Name
        token:
          type: string
          title: Token
        version:
          type: string
          title: Version
        description:
          type: string
          title: Description
        hosts:
          items:
            type: string
          type: array
          title: Hosts
        entries:
          items:
            $ref: '#/components/schemas/HostPresetEntry'
          type: array
          title: Entries
      type: object
      required:
        - name
        - token
        - version
        - description
        - hosts
        - entries
      title: SecretProxyHostPresetResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HostPresetEntry:
      properties:
        host:
          type: string
          title: Host
        provider:
          type: string
          title: Provider
        evidence:
          type: string
          enum:
            - observed
            - documented
          title: Evidence
        source:
          type: string
          title: Source
      type: object
      required:
        - host
        - provider
        - evidence
        - source
      title: HostPresetEntry
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.